<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="com.ubnt.data.Admin" %>
<%@ page import="com.ubnt.ace.view.AuthFilter" %>
<%@ page import="com.ubnt.ace.view.JspUtils" %>
<%
boolean error = false;
//JspUtils.dumpHttpRequest(request);
if (request.getParameter("login")!=null) {
	Admin admin = AuthFilter.authenticate(request.getParameter("username"), request.getParameter("password"));
	//JspUtils.logger.info("admin=" + admin);
	if (admin!=null) {
		session.setAttribute("admin", admin);
		session.setAttribute("javax.servlet.jsp.jstl.fmt.locale.session", admin.getString("lang", "en_US"));
		String intendedUrl = (String) session.getAttribute("redirect_url");

		// for hotspot operators, only one page to redirect to		
		if (admin.is("for_hotspot", false))
			response.sendRedirect("/hotspot");
		else {
			if (intendedUrl!=null && intendedUrl.length()!=0) {
				response.sendRedirect(intendedUrl);
			}
			else
				response.sendRedirect("/manage");
		}
	}
	else {
		error = true;
	}
}
%>
<fmt:bundle basename="messages">
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
<head>
  <title><fmt:message key="LoginTitle" /> - <fmt:message key="product.name" /></title>
	<jsp:include page="head_include.jsp">
		<jsp:param name="page" value="login" />
	</jsp:include>
</head>
<body class="login-page">

<div id="cfinstall"></div>

<div class="page-content">
	<form id="LoginForm" class="configuration-form" method="post" action="/login">
		<h1 class="unifi-logo"><fmt:message key="product.name" /></h1>
		<div class="login-content content-box">
			<% if (!error) { %>
			<h2><fmt:message key="PleaseLogin" /></h2>
			<% } else { %>
			<h2 class="error"><fmt:message key="InvalidAdminLogin" /></h2>
			<% } %>
			<fieldset class="large-text">
				<p class="form-element">
					<label>Admin Name</label>
					<input id="Username" name="username" type="text" class="textInput" />
				</p>
				<p class="form-element">
					<label>Password</label>
					<input id="Password" name="password" type="password" class="textInput" />
				</p>
			</fieldset>
			<div class="form-controls">
				<input name="login" type="submit" value="<fmt:message key="LoginSubmit" />" class="button" />
			</div>
		</div>
	</form>
</div>

<script type="text/javascript">
// Google Chrome Frame
//CFInstall.check({mode:'popup', node:'cfinstall'});

$(function() {
	$('#LoginForm input[name=username]').focus();
});
</script>

</body>
</html>
</fmt:bundle>
