<html>
<head>
	<title>termlib Remote Terminal</title>
		<script type="text/javascript" src="/library/js/jquery.min.js"></script>
		<script type="text/javascript" src="/library/js/jquery.json-2.2.min.js"></script>
		<script type="text/javascript" src="/library/js/jquery-ui.min.js"></script>
		<script type="text/javascript" src="/library/js/msg_en_US.js"></script>
		<script type="text/javascript" src="/library/js/console.js"></script>
		<script language="JavaScript" type="text/javascript" src="/library/js/termlib.js"></script>

<script type="text/javascript">

var term;
var xx = new Array();

var help = [
	'%+r **** SSH to x.x.x.x **** %-r',
	' ',
	'* use "~" to restart the SSH session',
	' '
];

function termHandlerSsh(e) {
	var ch = e.isChar ? (e.ctrlKey ? e.charCode-96 : e.charCode) : e.keyCode;
	$.log('SSH >' + String.fromCharCode(ch), e);
	$.post('/ssh/', {input:ch}, function(response) {
//		$.post('/ssh/', {input:'01'}, function(response) {
//			$.post('/ssh/', {input:'12'}, function(response) {
				screenPainter();	
//			});
//		});
	});
}

function screenPainter() {
	$.post('/ssh/', {}, function(response) {
		if (!response) return;
		var output = response.meta.output;
		if (output.length > 0) {
			//$.log('SSH (bin)<', output);
			output = output.replace(/([0-9A-Fa-f]{2})/g, function() {
        return String.fromCharCode(parseInt(arguments[1], 16));
			});
			//output = output.replace('\r', '', 'g');
			xx.push(output);
			$.log('SSH <', output);
			term.write(output);
			setTimeout(screenPainter, 1000);
		}
	});
}

function termOpen() {
	if ((!term) || (term.closed)) {
		term = new Terminal(
			{
				x:0,
				y:0,
				termDiv: 'termDiv',
				bgColor: '#232e45',
				greeting: help.join('\n'),
				handler: termHandlerSsh,
				mapANSI: true,
				ANSItrueBlack: true
			}
		);
		term.charMode = true;
		// set up some instance properties for server-client communication
		// we use the private namespace "env" of our Terminal instance
		term.env.myHistPtr = 0;
		term.env.dir = '';
		term.env.userid = '';
		term.env.password = '';
		// and open the terminal
		term.open();
		screenPainter();
	}
}

$(function() {
	termOpen();
	$('#termDiv').focus();
});


//-->
</script>

<style type="text/css">
body,p,a,td {
	font-family: courier,fixed,swiss,sans-serif;
	font-size: 12px;
	color: #cccccc;
}
.lh15 {
	line-height: 15px;
}

.term {
	font-family: "Courier New",courier,fixed,monospace;
	font-size: 12px;
	color: #94aad6;
	background: none;
	letter-spacing: 1px;
}
.term .termReverse {
	color: #232e45;
	background: #95a9d5;
}
</style>
</head>
 

<body>

<div id="termDiv" style="position:absolute; visibility: hidden; z-index:1;"></div>

</body>
</html>
